package dam.com.es;

import java.io.File;
import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.Node;

import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;

import org.w3c.dom.NodeList;

public class Dom {
	public static void main(String[] args) {
		File fichero = new File("C:\\Users\\kevin\\Documents\\Actividad10\\empleados.xml");//ruta del fichero donde tenemos el xml
	    try {
		    DocumentBuilderFactory dbFactory = DocumentBuilderFactory.newInstance();
		    DocumentBuilder dBuilder = dbFactory.newDocumentBuilder();
		    Document doc = dBuilder.parse(fichero);
		    doc.getDocumentElement().normalize();
		    
		    
		    NodeList nList = doc.getElementsByTagName("empleado");//detecta la etiqueta empleado para saber el numero de empleados y lo recoge en la varible
		    //Muestra la cantidad de empleados que hay en el archivo
		    System.out.println("Empleados Numero: " + nList.getLength());//Mostramos el numero de mepleados en el xml
		    
		    for(int temp = 0; temp < nList.getLength(); temp++) {//Muestra todos los datos de empleados del archivo xml
		    	Node node = nList.item(temp);
  
		    	if(node.getNodeType() == Node.ELEMENT_NODE) {//El for para recorrer los datos y mostrarlos en patalla
		    		Element element = (Element) node;

		    		System.out.println("ID del empleado: " + element.getAttribute("id"));
		    	    System.out.println("Apellido: " + element.getElementsByTagName("apellido").item(0).getTextContent());
		    	    System.out.println("Departamento: " + element.getElementsByTagName("dep").item(0).getTextContent());
		    	    System.out.println("Salario: " + element.getElementsByTagName("salario").item(0).getTextContent());
		    	}
			}
	    } catch(Exception e) {
	    	e.printStackTrace();
	    }
	}
}